@import "../base/variable.scss";
@import "../base/mixins.scss";


.footer {
    border-top: 2px solid $border_line;
    .footer_area {
        .footer_detail_area {
            padding-top: 75px;
            padding-bottom: 60px;
            .foot_logo{
                .img_area{
                    img{
                        width: 29%;
                        max-width: 100%;
                    }
                }
            }
            p {
                font-size: 18px;
                line-height: 36px;
                width: 402px;
                max-width: 100%;
                margin: 0 auto;
                text-align: center;
                font-weight: 500;
                color: $black2;
                padding-top: 10px;
            }
            .cms_links_area {
                margin-top: 50px;
                ul {
                    li {
                        display: inline-block;
                        @include clearfix();

                        a {
                            color: $black;
                            font-size: 16px;
                            font-weight: 500;
                            margin-right: 60px;
                        }
                    }
                }
            }
            .social_links_area {
                padding-top: 60px;
                ul {
                    li {
                        display: inline;
                        &:last-child{
                            a{
                                i{
                                    margin-right: 0;
                                }
                            }
                        }
                        a {
                            i {
                                color: $black;
                                font-size: 24px;
                                margin-right: 38px;
                            }
                        }
                    }
                }
            }
        }
    }
}

.footer_image_section {
    position: relative;
    .image_area {
        border-top: 2px solid $border_line;
        padding-top: 0px;
        width: 100%;
        height: 250px;
        img {
            object-fit: cover;
            width: 100%;
            height: 100%;
        }
        .element{
            position: absolute;
            top: 38%;
            left: 0;
            right: 0;
            margin: 0 auto;
            text-align: center;
            img{
                width: auto;
                height: auto;
            }
        }
    }
}

.copyright_section {
    .copyright_area {
        padding: 28px 0;
        background-color: $input;

        p {
            color: rgba(34, 34, 34, 0.8);
            font-size: 14px;
            font-weight: 500;

            a {
                color:rgba(34, 34, 34, 0.8);
                font-size: 14px;
                font-weight: 500;
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 3891px) and (max-width: 5120px) {}

/* Extra Huge large desktops */
@media (min-width: 3831px) and (max-width: 3891px) {}

/* Extra Huge large desktops */
@media (min-width: 2840px) and (max-width: 3831px) {
    
}

/* Extra Huge large desktops */
@media (min-width: 2560px) and (max-width: 3850px) {
    .footer{
        .footer_area{
            .footer_detail_area{
                .foot_logo{
                    .img_area{
                        img{
                            width: 45%;
                        }
                    }
                }
                p{
                    font-size: 32px;
                    width: 600px;
                }
                .cms_links_area{
                    ul{
                        li{
                            a{
                                font-size: 30px;
                                margin-right: 50px;
                            }
                        }
                    }
                }
                .social_links_area{
                    ul{
                        li{
                            a{
                                i{
                                    font-size: 48px;
                                }
                            }
                        }
                    }
                } 
            }
        }
    }
    .copyright_section{
        .copyright_area{
            p{
                font-size: 30px;
                a{
                    font-size: 30px;
                }
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 1921px) and (max-width: 2560px) {}

/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {
    .footer {
        padding-top: 80px;
        padding-bottom: 35px;
    }
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .footer {
        padding-top: 30px;
        padding-bottom: 35px;

        .footer_area {
            padding-top: 60px;
            padding-bottom: 10px;

            .one-forth {
                .footer-lgo {
                    img {
                        width: 65%;
                    }
                }

                .title {
                    h3 {
                        font-size: 22px;
                    }
                }
            }
            .footer_detail_area{
                padding-top: 0;
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .footer {
        padding-top: 0px;
        padding-bottom: 0px;

        .footer_area {
            padding-top: 0px;
            padding-bottom: 0px;
            .footer_detail_area{
                .cms_links_area{
                    margin-top: 20px;
                    ul {
                        li{
                            padding-top: 20px;
                        }
                    }
                }
                .foot_logo{
                    .img_area{
                        img{
                            width: 45%;
                        }
                    }
                }
            }
        }
    }
    .footer_image_section{
        .image_area{
            height: 175px;
            .element{
                top: 27%;
            }
        }
    }
    .copyright_section{
        .copyright_area{
            padding: 20px 0;
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .footer {
        padding-top: 0px;
        padding-bottom: 0px;
        .footer_area {
            padding-top: 0px;
            padding-bottom: 0px;
            .footer_detail_area{
                .cms_links_area{
                    margin-top: 20px;
                    ul {
                        li{
                            padding-top: 20px;
                        }
                    }
                }
                .foot_logo{
                    .img_area{
                        img{
                            width: 47%;
                        }
                    }
                }
            }
        }
    }
    .footer_image_section{
        .image_area{
            height: 175px;
            .element{
                top: 27%;
            }
        }
    }
    .copyright_section{
        .copyright_area{
            padding: 20px 0;
        }
    }
}


/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {

    .footer {
        padding-top: 0px;
        padding-bottom: 0px;

        .footer_area {
            padding-top: 0px;
            padding-bottom: 0px;
            .footer_detail_area{
                padding: 20px 0;
                padding-top: 47px;
                .cms_links_area{
                    margin-top: 20px;
                    ul {
                        li{
                            padding-top: 20px;
                            a{
                                margin-right: 13px;
                            }
                        }
                    }
                }
                .social_links_area{
                    padding-top: 37px;
                }
                .foot_logo{
                    .img_area{
                        img{
                            width: 71%;
                        }
                    }
                }
            }
        }
    }
    .footer_image_section{
        .image_area{
            height: 175px;
            .element{
                top: 27%;
            }
        }
    }
    .copyright_section{
        .copyright_area{
            padding: 20px 0;
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .footer {
        padding-top: 0px;
        padding-bottom: 0px;
        .footer_area {
            padding-top: 0px;
            padding-bottom: 0px;
            .footer_detail_area{
                padding: 20px 0;
                padding-top: 47px;
                p{
                    font-size: 14px;
                }
                .cms_links_area{
                    margin-top: 20px;
                    ul {
                        li{
                            padding-top: 20px;
                            a{
                                margin-right: 13px;
                                font-size: 14px;
                            }
                        }
                    }
                }
                .social_links_area{
                    padding-top: 37px;
                }
                .foot_logo{
                    .img_area{
                        img{
                            width: 71%;
                        }
                    }
                }
            }
        }
    }
    .footer_image_section{
        .image_area{
            height: 115px;
            .element{
                top: 27%;
                img{
                    width: 20%;
                }
            }
        }
    }
    .copyright_section{
        .copyright_area{
            padding: 15px 0;
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {}